### DB_LOGC->close |

`

###

    #include <db.h>

    int
    DB_LOGC->close(DB_LOGC *cursor, u_int32_t flags);

### Description: DB_LOGC->close

The DB_LOGC->close method discards the log cursor. After DB_LOGC->close has been called, regardless of its return, the cursor handle may not be used again.

The DB_LOGC->close method returns a non-zero error value on failure and 0 on success.

### Parameters

flags
  The flags parameter is currently unused, and must be set to 0.

### Errors

The DB_LOGC->close method may fail and return one of the following non-zero errors:

EINVAL
  If the cursor was previously closed; or if an invalid flag value or parameter was specified.

### Class

DB_ENV, DB_LOGC, DB_LSN

### See Also

Logging Subsystem and Related Methods`

Copyright (c) 1996-2005 Sleepycat Software, Inc. - All rights reserved.